tigase.jaxmpp.core.client

## Class AbstractStanzaHandler

- java.lang.Object
- - tigase.jaxmpp.core.client.AbstractStanzaHandler

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    Processor.FeatureNotImplementedResponse

      public abstract class AbstractStanzaHandler
      extends Object
      implements Runnable

  Abstract class for handling incoming XMPP Stanzas.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Element` | `element`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStanzaHandler(Element element, Context context)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `process()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### element

          protected final Element element

  - ### Constructor Detail

    - #### AbstractStanzaHandler

          public AbstractStanzaHandler(Element element,
                                       Context context)

  - ### Method Detail

    - #### process

          protected abstract void process()
                                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2006–2020 Tigase. All rights reserved.